const path = require("path");

module.exports = [
  {
    entry: { index: "./src/index.ts" },
    mode: "production",
    output: {
      filename: "[name].js",
      path: path.resolve(__dirname, "dist"),
      clean: true,
      libraryTarget: "umd",
      globalObject: "typeof self==='undefined'?this:self",
    },
    resolve: {
      extensions: [".tsx", ".ts", ".js"],
    },
    externals: {
      react: "react",
    },
    module: {
      rules: [
        {
          test: /\.(ts|tsx)?$/i,
          use: [ "ts-loader"],
          exclude: "/node-modules/",
        },
        {
          test: /\.css$/i,
          use: [ "css-loader"],
        },
      ],
    },
  },
];
